<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.taais.biz.mapper.TargetIdentificationSubtaskDetailsMapper">

    <select id="getTargetIdentificationSubtaskDetailsListBySubtaskId"
            resultType="com.taais.biz.domain.bo.TargetIdentificationSubtaskDetailsBo">
        select * from target_identification_subtask_details where subtask_id = #{subtaskId}
    </select>
    <select id="getByTaskType" resultType="java.lang.Long">
        select id from target_identification_subtask_details
                  where name like '%' || #{taskType} || '%' and
                                                        status = '0'
    </select>
</mapper>
